#### Previous topic

scipy.signal.abcd_normalize

#### Next topic

scipy.signal.besselap

# scipy.signal.band_stop_obj

`scipy.signal.``band_stop_obj`(wp, ind, passb, stopb, gpass, gstop, type)

  Band Stop Objective Function for order minimization.

  Returns the non-integer order for an analog band stop filter.

  Parameters:

  wp : scalar

  > Edge of passband passb.

  ind : int, {0, 1}

  > Index specifying which passb edge to vary (0 or 1).

  passb : ndarray

  > Two element sequence of fixed passband edges.

  stopb : ndarray

  > Two element sequence of fixed stopband edges.

  gstop : float

  > Amount of attenuation in stopband in dB.

  gpass : float

  > Amount of ripple in the passband in dB.

  type : {‘butter’, ‘cheby’, ‘ellip’}

  > Type of filter.

  Returns:

  n : scalar

  > Filter order (possibly non-integer).